/* Small REXX using the REXX functions defined in the RXCPAGE DLL */

call RxFuncAdd 'RxCpLoadFuncs', 'RXCPAGE', 'RxCpLoadFuncs'
call RxCpLoadFuncs

/* RxCpTranslate(source, cpage_source, cpage_dest)

   returns "source" string converted from one codepage (cpage_source)
   to another (cpage_dest)

   You can use codepages from C:\LANGUAGE\CODEPAGE directory
*/

say RxCpTranslate('This is a test...  ...', "866", "1251")
say RxCpTranslate('This is a test...  ...', 866, 878)

/* RxUpCase(source) returns "source" string in upper case using current
   codepage - replacement for UPPER function
*/

say RxUpCase('Hello! ਢ!')

Exit
